Subject: Re: [RFC] [NET] [0/2] pskb_expand_head() bugfix

From: Hideo AOKI <[email-masked]>
Date: Fri, 28 Mar 2008 21:14:23 -0400

Hello,

David Miller wrote:
> From: Hideo AOKI <[email-masked]>
> Date: Wed, 26 Mar 2008 16:47:35 -0400
> 
>> I think that it is inconvenient for caller functions to need
>> updateing truesize by themselves.
> 
> Most cases what I can see are in spots where skb->truesize
> cannot be modified because the SKB is possibly charged
> to a socket.
> 
> In these limited situations where skb->truesize adjustments
> really are needed, and legal, it is no harm to open code
> things.

Thank you for the comments.

I understood that updating truesize by caller wasn't problem.
And, I may misunderstand the spots where truesize can't be changed.

Then, I make patch to update truesize for each network subsystem and
ask a review of the patch. 

Best regards,
Hideo

--
Hitachi Computer Products (America) Inc.